Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.kernel
Class PNewFlushedDeletedFlushedState

    java.lang.Object
      org.apache.openjpa.kernel.PCState
          org.apache.openjpa.kernel.PNewFlushedDeletedState
              org.apache.openjpa.kernel.PNewFlushedDeletedFlushedState

All Implemented Interfaces:
  Serializable

     class PNewFlushedDeletedFlushedState

extends PNewFlushedDeletedState

Lifecycle state. Represents an instance that was made persistent within the current transaction, flushed, deleted, and flushed.

Author:
  Patrick Linskey

Field Summary

Fields inherited from class org.apache.openjpa.kernel.PCState
`ECLEAN, ECOPY, EDELETED, EDIRTY, ENONTRANS, HOLLOW, PCLEAN, PDELETED, PDELETEDFLUSHED, PDIRTY, PNEW, PNEWDELETED, PNEWFLUSHEDDELETED, PNEWFLUSHEDDELETEDFLUSHED, PNEWPROVISIONAL, PNONTRANS, PNONTRANSDELETED, PNONTRANSDIRTY, PNONTRANSNEW, TCLEAN, TDIRTY, TLOADED, TRANSIENT`

Constructor Summary
`PNewFlushedDeletedFlushedState()`

Method Summary
`(package private) void` | `initialize(StateManagerImpl context, PCState previous)` Called when this state is first assigned to the given state manager.
`(package private) PCState` | `persist(StateManagerImpl context)` Perform any actions necesssary and return the proper lifecycle state on a call to `Broker.persist(java.lang.Object, org.apache.openjpa.kernel.OpCallbacks)` with the given instance.
`String` | `toString()`

Methods inherited from class org.apache.openjpa.kernel.PNewFlushedDeletedState
`beforeOptimisticWrite, beforeWrite, commit, commitRetain, flush, isDeleted, isDirty, isNew, isPersistent, isTransactional, nontransactional, release, rollback, rollbackRestore`

Methods inherited from class org.apache.openjpa.kernel.PCState
`afterNontransactionalRefresh, afterOptimisticRefresh, afterRefresh, beforeFlush, beforeNontransactionalRead, beforeNontransactionalWrite, beforeOptimisticRead, beforeRead, delete, error, evict, isPendingTransactional, isProvisional, isVersionCheckRequired, nonprovisional, readResolve, transactional`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PNewFlushedDeletedFlushedState

    PNewFlushedDeletedFlushedState()

Method Detail

### initialize

    void initialize(StateManagerImpl context,
                    PCState previous)

  Description copied from class: `PCState`
  Called when this state is first assigned to the given state manager.

  Overrides:
    `initialize` in class `PCState`

### persist

    PCState persist(StateManagerImpl context)

  Description copied from class: `PCState`
  Perform any actions necesssary and return the proper lifecycle state on a call to `Broker.persist(java.lang.Object, org.apache.openjpa.kernel.OpCallbacks)` with the given instance. Returns the `this` pointer by default. Note: this method is not called for embedded states, and is only called when an existing managed instance is the target of a persist call.

  Overrides:
    `persist` in class `PNewFlushedDeletedState`

### toString

    public String toString()

  Overrides:
    `toString` in class `PNewFlushedDeletedState`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.